org.eclipse.draw2d

## Class BendpointConnectionRouter

- java.lang.Object
- - org.eclipse.draw2d.AbstractRouter
  - - org.eclipse.draw2d.BendpointConnectionRouter

All Implemented Interfaces:
  ConnectionRouter

    public class BendpointConnectionRouter
    extends AbstractRouter

Routes `Connection`s through a `List` of `Bendpoints`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.ConnectionRouter

`ConnectionRouter.NullConnectionRouter`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.ConnectionRouter

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`BendpointConnectionRouter()`

### Method Summary

Methods
`java.lang.Object` `getConstraint(Connection connection)` Gets the constraint for the given `Connection`.
`void` `remove(Connection connection)` Removes the given connection from the map of constraints.
`void` `route(Connection conn)` Routes the `Connection`.
`void` `setConstraint(Connection connection, java.lang.Object constraint)` Sets the constraint for the given `Connection`.

### Methods inherited from class org.eclipse.draw2d.AbstractRouter

`getEndPoint, getStartPoint, invalidate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BendpointConnectionRouter

    public BendpointConnectionRouter()

### Method Detail

#### getConstraint

    public java.lang.Object getConstraint(Connection connection)

Gets the constraint for the given `Connection`.

Specified by:
  `getConstraint` in interface `ConnectionRouter`
Overrides:
  `getConstraint` in class `AbstractRouter`
Parameters:
  `connection` - The connection whose constraint we are retrieving
Returns:
  The constraint

#### remove

    public void remove(Connection connection)

Removes the given connection from the map of constraints.

Specified by:
  `remove` in interface `ConnectionRouter`
Overrides:
  `remove` in class `AbstractRouter`
Parameters:
  `connection` - The connection to remove

#### route

    public void route(Connection conn)

Routes the `Connection`. Expects the constraint to be a List of `Bendpoints`.

Parameters:
  `conn` - The connection to route

#### setConstraint

    public void setConstraint(Connection connection,
                     java.lang.Object constraint)

Sets the constraint for the given `Connection`.

Specified by:
  `setConstraint` in interface `ConnectionRouter`
Overrides:
  `setConstraint` in class `AbstractRouter`
Parameters:
  `connection` - The connection whose constraint we are setting
  `constraint` - The constraint